Bug 50492 - [RFE] add ethtool patches
Summary: [RFE] add ethtool patches
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-31 17:33 UTC by Matt Domsch
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-13 17:14:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.4.9-e100-ethtool.patch (1.49 KB, patch)
2001-12-11 16:49 UTC, Matt Domsch
no flags Details | Diff
linux-2.4.9-e1000-ethtool.patch (1.44 KB, patch)
2001-12-11 16:50 UTC, Matt Domsch
no flags Details | Diff
linux-2.4.9-e100-ethtool.patch (1.48 KB, patch)
2001-12-13 04:27 UTC, Matt Domsch
no flags Details | Diff

Description Matt Domsch 2001-07-31 17:33:25 UTC
Patches to add ETHTOOL_GDRVINFO support to eepro100, e100, e1000, acenic, 
and bcm5700 can be found at http://domsch.com/linux/ethtool.
Please add these patches to the Fairfax kernel.  I've submitted acenic, 
bcm5700, and eepro100 patches to the appropriate maintainers already, and 
await their response.

Comment 1 Arjan van de Ven 2001-08-02 15:43:09 UTC
Added for next build

Comment 2 Matt Domsch 2001-09-11 20:20:18 UTC
Enigma gold is missing the e100 ethtool patch.  The others (bcm5700, acenic, 
e1000, eepro100) are all there.  Pensicola?


Comment 3 Arjan van de Ven 2001-09-11 20:24:42 UTC
Aaaargh! hate last second driver updates!

Good thing that eepro100 works good now, so that Pensicola is a valid option.


Comment 4 Michael K. Johnson 2001-12-06 17:16:46 UTC
I believe this to be fixed in the errata kernel.  Confirm?

Comment 5 Matt Domsch 2001-12-11 16:30:07 UTC
Neither 2.4.9-13 nor 2.4.9-17.3 contain the e100 or e1000 ethtool patches.


Comment 6 Matt Domsch 2001-12-11 16:49:28 UTC
Created attachment 40350 [details]
linux-2.4.9-e100-ethtool.patch

Comment 7 Matt Domsch 2001-12-11 16:50:17 UTC
Created attachment 40351 [details]
linux-2.4.9-e1000-ethtool.patch

Comment 8 Matt Domsch 2001-12-13 04:27:48 UTC
Created attachment 40448 [details]
linux-2.4.9-e100-ethtool.patch

Comment 9 Matt Domsch 2001-12-13 04:30:46 UTC
Of course, the e100 driver changed just enough that the earlier patch would 
apply but not compile.  I provide a fixed patch (fixed in that it compiles at 
least - I'll test more on Thursday).

Comment 10 Arjan van de Ven 2001-12-13 09:11:35 UTC
added

Comment 11 Matt Domsch 2001-12-13 17:14:50 UTC
Confirming that the e100 and e1000 patches work as expected when applied to 
2.4.9-17.6.

Comment 12 Michael K. Johnson 2002-01-18 01:23:29 UTC
This should be fixed in the kernel in rawhide.


Note You need to log in before you can comment on or make changes to this bug.